Skip to main content
GET
ListUsages

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

Owning application identifier.

id
string
required

Integration identifier.

Query Parameters

page_size
integer<int32>

Maximum number of candidate Edges to inspect. Zero uses the default.

page_token
string

Continuation token from the previous page.

Response

200 - application/json

EdgeIntegrationServiceListUsagesResponse contains matching Edges in a candidate page.

EdgeIntegrationServiceListUsagesResponse contains matching Edges in a candidate page.

list
Edge Integration Usage · object[] | null

Saved references found in this page. May be empty even when another page exists.

nextPageToken
string

Continue scanning with this token, even if list is empty.